Bug 1031530 - Switching between messages in message-tray doesn't work
Switching between messages in message-tray doesn't work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 03:39 EST by Petr Schindler
Modified: 2015-06-29 08:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:58:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2013-11-18 03:39:25 EST
Description of problem:
When I have opened notification and click on another one on the message-tray it
doesn't open. Just the icon is highlighted. When you click on the same icon
again the opened notification is closed and its icon is highlighted.

So when I want to open some message I have to close opened one and then open
the desired one.

Upstream bug is https://bugzilla.gnome.org/show_bug.cgi?id=709892 You can find screencast of this problem there.

Version-Release number of selected component (if applicable):
gnome-shell-3.10.0.1-1.fc20.x86_64

How reproducible:
100%

I'm proposing this bug as blocker. It violates the final criterion: "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use."
Comment 1 Matthias Clasen 2013-11-19 21:12:38 EST
Annoying, but hardly a blocker.
Comment 2 Kamil Páral 2013-11-20 07:45:32 EST
This only affects icons which pop up a bubble. Other icons which immediately trigger some action (e.g. xchat icon, if you click on it, it shows or hides the chat window) are not affected - you can click on them even if a bubble from a different icon is displayed.

WRT bubble-using icons, the workaround here is to close one bubble before you click on the next icon. As mentioned in comment 0. It's non-intuitive, but probably discoverable after a while.
Comment 3 Adam Williamson 2013-11-20 12:52:24 EST
Discussed at 2013-11-20 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-20/f20-blocker-review.2013-11-20-17.00.log.txt . Although it does kinda seem to hit the criterion, we were solidly of the opinion this is too trivial to be a release blocker. We may need to consider tweaking the criterion a bit - it was written in the days when gnome-panel was very stable and fairly simple, it may be slightly too high of a bar for Shell.
Comment 4 Fedora End Of Life 2015-05-29 05:47:24 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:58:17 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.